# PhasicFlow: src/phasicFlow/globals/error.cpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

error.cpp File Reference
Include dependency graph for error.cpp:

Go to the source code of this file.

## Functions

pFlow::iOstream & | fatalErrorMessage (const char *fileName, int linNumber)
pFlow::iOstream & | fatalErrorInMessage (const char *fnName, const char *fileName, int linNumber)
pFlow::iOstream & | notImplementedErrorMessage (const char *fnName, const char *fileName, int lineNumber)
pFlow::iOstream & | ioErrorMessage (const char *fileName, int fileLineNumber, const char *fnName, const char *fName, int lNumber)
pFlow::iOstream & | ioErrorMessage (const pFlow::word &fileName, int fileLineNumber, const char *fnName, const char *fName, int lNumber)
pFlow::iOstream & | warningMessage (const char *fnName, const char *fileName, int linNumber)
pFlow::iOstream & | reportAndExit (int errorCode)
int | fatalExitPhasicFlow (int errorCode)
| Take actions to fatal exit phasicFlow. More...

## Variables

static pFlow::Ostream & | errorStream = pFlow::pOutput

## Function Documentation

## fatalErrorMessage()

pFlow::iOstream& fatalErrorMessage | ( | const char * | fileName,
|  | int | linNumber
| ) |  |

Definition at line 35 of file error.cpp.

References errorStream, and Red_Text.

## fatalErrorInMessage()

pFlow::iOstream& fatalErrorInMessage | ( | const char * | fnName,
|  | const char * | fileName,
|  | int | linNumber
| ) |  |

Definition at line 44 of file error.cpp.

References errorStream, and Red_Text.

Referenced by pFlow::checkMPI().

Here is the caller graph for this function:

## notImplementedErrorMessage()

pFlow::iOstream& notImplementedErrorMessage | ( | const char * | fnName,
|  | const char * | fileName,
|  | int | lineNumber
| ) |  |

Definition at line 54 of file error.cpp.

References errorStream, Red_Text, and Yellow_Text.

## ioErrorMessage() [1/2]

pFlow::iOstream& ioErrorMessage | ( | const char * | fileName,
|  | int | fileLineNumber,
|  | const char * | fnName,
|  | const char * | fName,
|  | int | lNumber
| ) |  |

Definition at line 69 of file error.cpp.

References errorStream, and Red_Text.

Referenced by ioErrorMessage().

Here is the caller graph for this function:

## ioErrorMessage() [2/2]

pFlow::iOstream& ioErrorMessage | ( | const pFlow::word & | fileName,
|  | int | fileLineNumber,
|  | const char * | fnName,
|  | const char * | fName,
|  | int | lNumber
| ) |  |

Definition at line 87 of file error.cpp.

References ioErrorMessage().

Here is the call graph for this function:

## warningMessage()

pFlow::iOstream& warningMessage | ( | const char * | fnName,
|  | const char * | fileName,
|  | int | linNumber
| ) |  |

Definition at line 101 of file error.cpp.

References errorStream, and Yellow_Text.

## reportAndExit()

pFlow::iOstream& reportAndExit | ( | int | errorCode | ) |

Definition at line 111 of file error.cpp.

References pFlow::endl(), errorStream, and fatalExitPhasicFlow().

Referenced by pFlow::checkMPI().

Here is the call graph for this function:
Here is the caller graph for this function:

## fatalExitPhasicFlow()

int fatalExitPhasicFlow | ( | int | errorCode | ) |

Take actions to fatal exit phasicFlow.

Definition at line 119 of file error.cpp.

References processors::abort().

Referenced by reportAndExit().

Here is the call graph for this function:
Here is the caller graph for this function:

## Variable Documentation

## errorStream

pFlow::Ostream& errorStream = pFlow::pOutput

static

Definition at line 32 of file error.cpp.

Referenced by fatalErrorInMessage(), fatalErrorMessage(), ioErrorMessage(), notImplementedErrorMessage(), reportAndExit(), and warningMessage().